
QGIS Application - Bug report #18804

Crashed on build raster pyramid.

2018-04-25 01:43 PM - Jeongyong Park

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26690

Description

User Feedback

Crashed on build raster pyramid from 5.3GB tiff file.

Judging from the fact that the prograss bar stops without advancing, it appears that threads are disconnected between the GUI and the

logic.

Report Details

Crash ID: 03109d469735a09b13fc46aaec16baebbcd2aed1

Stack Trace

GDALRegister_Terragen :

GDALRegister_GTiff :

GDALRegister_GTiff :

GDALRegister_GTiff :

GDALRasterBlock::Write :

GDALAllValidMaskBand::GetMaskFlags :

GDALAllValidMaskBand::GetMaskFlags :

GDALDataset::FlushCache :

GDALPamDataset::FlushCache :

GDALRegister_GTiff :

GDALRegister_GTiff :

GDALRegister_GTiff :

GDALRegister_GTiff :

GTIFFBuildOverviews :

GDALDefaultOverviews::BuildOverviews :

GDALDataset::IBuildOverviews :

GDALRegister_GTiff :

GDALDataset::BuildOverviews :

GDALWarpOperation::operator= :

QgsRasterLayerProperties::buttonBuildPyramids_clicked :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Related to QGIS Application - Bug report # 19679: Crash when saving a raster ... Closed 2018-08-23

History

#1 - 2018-08-23 02:10 PM - zimirrr leonid

- File am.tif added

User Feedback

Hello, have same error in qgis 3.2.2.

Tried to export tif with pyramids.

I am new to working with raster, so maybe I do something wrong.

My test tif that I try to export is very small.

Report Details

Crash ID: 34dff7955bf5098c247f292fc6ba85eebc45bea4

Stack Trace

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::updateBlockedStatus :

QGuiApplicationPrivate::showModalWindow :

QWindow::setVisible :

QWidgetPrivate::show_sys :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QDialog::setVisible :

QDialog::exec :

QMessageBox::showEvent :

QMessageBox::warning :

QgsRasterFileWriter::buildPyramids :
QgsRasterFileWriter::writeDataRaster :

QgsRasterFileWriter::writeDataRaster :

QgsRasterFileWriter::writeRaster :

QgsRasterFileWriterTask::run :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2018-08-23 06:34 PM - Giovanni Manghi

zimirrr leonid wrote:

User Feedback

Hello, have same error in qgis 3.2.2.

Tried to export tif with pyramids.

see #19679

#3 - 2018-08-23 06:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

To the original reporter: does it still happens on 3.2? How pyramids were build, with the Processing tool or using the option in the raster layer proprties?

Any change you give us the link where to download the raster you are using?

#4 - 2018-08-26 05:39 PM - Jürgen Fischer

- Related to Bug report #19679: Crash when saving a raster with pyramids added

#5 - 2018-09-22 03:06 PM - Even Rouault

- Status changed from Feedback to In Progress

- Assignee set to Even Rouault

- Category changed from GUI to Rasters

#6 - 2018-09-22 03:09 PM - Even Rouault

- Status changed from In Progress to Feedback

- Assignee deleted (Even Rouault)

Unassigning: I was actually working on #19679
#7 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#8 - 2018-12-24 10:34 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Closed for the lack of feedback. Please reopen if necessary.

Files

am.tif 114 KB 2018-08-23 zimirrr leonid
